=== modified file 'bzr'
--- bzr	2007-04-17 04:39:12 +0000
+++ bzr	2007-05-03 16:42:30 +0000
@@ -79,7 +79,8 @@
 import bzrlib.decorators
 if ('--lsprof' in sys.argv
     or '--lsprof-file' in sys.argv
-    or '--profile' in sys.argv):
+    or '--profile' in sys.argv
+    or '--lsprof-timed' in sys.argv):
     bzrlib.decorators.use_pretty_decorators()
 else:
     bzrlib.decorators.use_fast_decorators()

=== modified file 'bzrlib/bundle/bundle_data.py'
--- bzrlib/bundle/bundle_data.py	2007-04-25 17:49:44 +0000
+++ bzrlib/bundle/bundle_data.py	2007-05-03 16:42:30 +0000
@@ -109,6 +109,9 @@
         self.timestamp = None
         self.timezone = None
 
+        # Have we checked the repository yet?
+        self._validated_revisions_against_repo = False
+
     def __str__(self):
         return pprint.pformat(self.__dict__)
 
@@ -180,7 +183,8 @@
         revision = self.get_revision(revision_id)
         base = self.get_base(revision)
         assert base != revision_id
-        self._validate_references_from_repository(repository)
+        if not self._validated_revisions_against_repo:
+            self._validate_references_from_repository(repository)
         revision_info = self.get_revision_info(revision_id)
         inventory_revision_id = revision_id
         bundle_tree = BundleTree(repository.revision_tree(base), 
@@ -262,6 +266,7 @@
             warning('Not all revision hashes could be validated.'
                     ' Unable validate %d hashes' % len(missing))
         mutter('Verified %d sha hashes for the bundle.' % count)
+        self._validated_revisions_against_repo = True
 
     def _validate_inventory(self, inv, revision_id):
         """At this point we should have generated the BundleTree,

